/*
# $BEGIN_SYNCGENIE_LICENSE$
# 
# This file is part of the SyncGenie project, a library for the Arduino IDE
# for interfacing with the the Teensy microcontroller via a SyncGenie
# breakout board (see https://osf.io/r9pb6/ ), with an emphasis on time
# synchronization in neuroscience experiments.
# 
# Author: Jeremy Hill (2024-)
# 
# No Copyright
# ============
# The author has dedicated this work to the public domain under the terms of
# Creative Commons' CC0 1.0 Universal legal code, waiving all of his rights to
# the work worldwide under copyright law, including all related and neighboring
# rights, to the extent allowed by law.
# 
# You can copy, modify, distribute and perform the work, even for commercial
# purposes, all without asking permission. See Other Information below.
# 
# Other Information
# =================
# In no way are the patent or trademark rights of any person affected by CC0,
# nor are the rights that other persons may have in the work or in how the work
# is used, such as publicity or privacy rights.
# 
# The author makes no warranties about the work, and disclaims liability for
# all uses of the work, to the fullest extent permitted by applicable law. When
# using or citing the work, you are requested to preserve the author attribution
# and this copyright waiver, but you should not imply endorsement by the author.
# 
# $END_SYNCGENIE_LICENSE$
*/

#ifndef   __SyncGenieTeensyVersioning_H__
#define   __SyncGenieTeensyVersioning_H__

#if 0
#	error nothing
#elif defined(ARDUINO_TEENSY41)
#	define TEENSY_VERSION "4.1"
#	define TEENSY_LONGBOARD 1
#elif defined(ARDUINO_TEENSY40)
#	define TEENSY_VERSION "4.0"
#	define TEENSY_LONGBOARD 0
#elif defined(ARDUINO_TEENSY36)
#	define TEENSY_VERSION "3.6"
#	define TEENSY_LONGBOARD 1
#elif defined(ARDUINO_TEENSY35)
#	define TEENSY_VERSION "3.5"
#	define TEENSY_LONGBOARD 1
#elif defined(ARDUINO_TEENSY32)
#	define TEENSY_VERSION "3.2"
#	define TEENSY_LONGBOARD 0
#elif defined(ARDUINO_TEENSYLC)
#	define TEENSY_VERSION "LC "
#	define TEENSY_LONGBOARD 0
#elif defined(ARDUINO_TEENSY31)
#	define TEENSY_VERSION "3.1"
#	define TEENSY_LONGBOARD 0
#elif defined(ARDUINO_TEENSY30)
#	define TEENSY_VERSION "3.0"
#	define TEENSY_LONGBOARD 0
#else
#	define TEENSY_VERSION "???"
#	define TEENSY_LONGBOARD 1
#endif
#if TEENSY_LONGBOARD
#	define TEENSY_LONG_SHORT( LONG, SHORT ) LONG
#else
#	define TEENSY_LONG_SHORT( LONG, SHORT ) SHORT
#endif
#define TEENSY_LONG_ONLY( N )  TEENSY_LONG_SHORT( N, -1 ) // for defining pin numbers


#endif // __SyncGenieTeensyVersioning_H__
